Bug 1270592 - Review Request: python-parallel-ssh - Asynchronous parallel SSH library
Review Request: python-parallel-ssh - Asynchronous parallel SSH library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 10:17 EDT by Igor Gnatenko
Modified: 2016-07-07 07:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 07:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lrintel: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-10-11 10:17:24 EDT
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-parallel-ssh.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-parallel-ssh-0.80.1-1.fc24.src.rpm
Description:
Library for running asynchronous parallel SSH commands over many hosts.

parallel-ssh uses asychronous network requests - there is no multi-threading or
multi-processing used.

This is a requirement for commands on many (hundreds/thousands/hundreds of
thousands) of hosts which would grind a system to a halt simply by having so
many processes/threads all wanting to execute if done with
multi-threading/processing.
Fedora Account System Username: ignatenkobrain
Comment 1 Igor Gnatenko 2015-10-11 10:19:43 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11409110
Comment 2 Upstream Release Monitoring 2015-10-11 10:26:39 EDT
ignatenkobrain's scratch build of python-parallel-ssh-0.80.1-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11409110
Comment 3 Lubomir Rintel 2015-10-13 14:26:04 EDT
* Package named correctly
* Packaging the latest version
* Version/Release tags correct
* Upstream source matches
* License tag correct
* License text included
* License good for Fedora
* SPEC file clean and legible
* Requires fine
* Provides fine
* Filelist sane
* Macros used consistently
* Builds fine in mock

APPROVED

Note You need to log in before you can comment on or make changes to this bug.